[INFO] Templates May Require Updates After Upgrade to 0.8.7

If you figure out how to do something interesting/cool in Cacti and want to share it with the community, please post your experience here.

Moderators: Moderators, Developers

Post Reply
Author
Message
User avatar
TheWitness
Developer
Posts: 14804
Joined: Tue May 14, 2002 5:08 pm
Location: MI, USA
Contact:

[INFO] Templates May Require Updates After Upgrade to 0.8.7

#1 Post by TheWitness » Fri Oct 26, 2007 6:10 am

Note,

If your graph templates contain scripts that use the following functions:

cacti_snmp_get
cacti_snmp_walk

Or, if your script as script server based, you will have to update these scripts prior to cutting over to the new Cacti system. A good way to audit this would be to execute the following:

cd <path_cacti>/scripts
grep -i cacti_snmp *

also,

grep -i call_user_func_array *

For each script found, you need to audit to make sure that for the script server scripts, you have changed the include of config.php to global.php and that for the cacti_snmp_*, you have changed your calling parameters. The new format is as follows:

cacti_snmp_get($hostname, $community, $oid, $version, $username, $password, $auth_proto, $priv_pass, $priv_proto, $context, $port = 161, $timeout = 500, $retries = 0, $environ = SNMP_POLLER)

The new fields are:

$auth_proto
$priv_pass
$priv_proto
$context

If you don't use snmpV3, you can simply set these to "".

Regards,

TheWitness
True understanding begins only when we realize how little we truly understand...

Life is an adventure, let yours begin with Cacti!

Author of MacTrack, Boost, CLog, SpikeKill, Platform RTM, DSStats, maintainer of Spine, lot's of unpublished work and most of Cacti's bugs.
_________________
Official Cacti Documentation
GitHub Repository with Supported Plugins
Central Plugin Repository
Central Templates Repository


I'm still out there people. Getting excited for Cacti 1.2. I think it will be a great release.

Helmut Schneider
Cacti User
Posts: 135
Joined: Mon Feb 05, 2007 3:57 am
Location: Munich, Germany

#2 Post by Helmut Schneider » Wed Dec 26, 2007 8:25 am

This works fine for php scripts but I also have some templates that are only XML files (e.g. http://forums.cacti.net/about19640.html or http://forums.cacti.net/about8777.html), what do I have to do with them?

windowsrefund
Posts: 11
Joined: Thu Jul 05, 2007 8:14 pm

#3 Post by windowsrefund » Wed Feb 27, 2008 4:43 pm

This is just sloppy. Why should users have to do something manually that could have been handled automatically during an upgrade? Why doesn't the latest version of Cacti contain the correct versions of these files?

User avatar
BSOD2600
Cacti Moderator
Posts: 12160
Joined: Sat May 08, 2004 12:44 pm
Location: USA

#4 Post by BSOD2600 » Wed Feb 27, 2008 4:48 pm

Because its User's scripts which need to be updated, not core cacti files/scripts. Cacti doesn't touch user scripts...

hootjr29
Posts: 20
Joined: Mon Feb 14, 2005 1:41 pm
Contact:

#5 Post by hootjr29 » Fri Apr 25, 2008 2:28 pm

Hi all,

I have two scripts that don't work after upgrading to 0.8.7b from 0.8.6j. They are ss_slb_vserver.php and ss_slb_rserver.php.

Within them, they have this line:

Code: Select all

$value = cacti_snmp_get($hostname, $snmp_community, $target, $snmp_version, $snmpv3_auth_username, $snmpv3_auth_password, $snmp_port, $snmp_timeout, SNMP_POLLER)
Given the above information, does this mean that I should change this to the following?

Code: Select all

$value = cacti_snmp_get($hostname, $community, $oid, $version, $username, $password, $auth_proto, $priv_pass, $priv_proto, $context, $port = 161, $timeout = 500, $retries = 0, $environ = SNMP_POLLER)
Thanks,
Joe

User avatar
gandalf
Developer
Posts: 22375
Joined: Thu Dec 02, 2004 2:46 am
Location: Muenster, Germany
Contact:

#6 Post by gandalf » Fri Apr 25, 2008 3:11 pm

Yes, more or less. But you'll have to provide data for those new parms! For a Script Data Query, you'll have to change the XML accordingly
Reinhard

riz
Posts: 14
Joined: Fri Aug 05, 2005 2:38 am

Clarification needed please..

#7 Post by riz » Fri Jan 23, 2009 6:39 am

Helmut Schneider wrote:This works fine for php scripts but I also have some templates that are only XML files (e.g. http://forums.cacti.net/about19640.html or http://forums.cacti.net/about8777.html), what do I have to do with them?
Hello All,

I'm looking to upgrade from cacti-0.8.6g-1, as I am unable to import the FWSM xml template (last post on this thread here: http://forums.cacti.net/viewtopic.php?t ... light=fwsm - http://forums.cacti.net//files/cacti_ho ... sa_736.xml ) and I get an error when trying to import the xml (Error: XML: Hash version does not exist).

Can anyone please tell me if I need to do anything with my previously imported xml templates prior to running through the upgrade steps? - I'm worried about losing the graphs I have managed to get working! :cry:

(I have run the commands to check the php scripts and it didn't return any output, so think ok on that front :-? )

Any advice will be gratefully received, thanks.

cheers,
riz.

Post Reply